<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:48 JST 2014 -->
<TITLE>
Shell.ShellCommandExecutor
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Shell.ShellCommandExecutor";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/Shell.ExitCodeException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/StatsTrack.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/Shell.ShellCommandExecutor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Shell.ShellCommandExecutor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.Shell">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.zookeeper.Shell">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper</FONT>
<BR>
Class Shell.ShellCommandExecutor</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">org.apache.zookeeper.Shell</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.Shell.ShellCommandExecutor</B>
</PRE>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static class <B>Shell.ShellCommandExecutor</B><DT>extends <A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></DL>
</PRE>

<P>
A simple shell command executor.
 
 <code>ShellCommandExecutor</code>should be used in cases where the output 
 of the command needs no explicit parsing and where the command, working 
 directory and the environment remains unchanged. The output of the command 
 is stored as-is and is expected to be small.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_org.apache.zookeeper.Shell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/Shell.ExitCodeException.html" title="class in org.apache.zookeeper">Shell.ExitCodeException</A>, <A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html" title="class in org.apache.zookeeper">Shell.ShellCommandExecutor</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.zookeeper.Shell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/Shell.html#SET_GROUP_COMMAND">SET_GROUP_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#SET_OWNER_COMMAND">SET_OWNER_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#SET_PERMISSION_COMMAND">SET_PERMISSION_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#timeOutInterval">timeOutInterval</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#ULIMIT_COMMAND">ULIMIT_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#USER_NAME_COMMAND">USER_NAME_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#WINDOWS">WINDOWS</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#Shell.ShellCommandExecutor(java.lang.String[])">Shell.ShellCommandExecutor</A></B>(java.lang.String[]&nbsp;execString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#Shell.ShellCommandExecutor(java.lang.String[], java.io.File)">Shell.ShellCommandExecutor</A></B>(java.lang.String[]&nbsp;execString,
                           java.io.File&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#Shell.ShellCommandExecutor(java.lang.String[], java.io.File, java.util.Map)">Shell.ShellCommandExecutor</A></B>(java.lang.String[]&nbsp;execString,
                           java.io.File&nbsp;dir,
                           java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;env)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#Shell.ShellCommandExecutor(java.lang.String[], java.io.File, java.util.Map, long)">Shell.ShellCommandExecutor</A></B>(java.lang.String[]&nbsp;execString,
                           java.io.File&nbsp;dir,
                           java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;env,
                           long&nbsp;timeout)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new instance of the ShellCommandExecutor to execute a command.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#execute()">execute</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Execute the shell command.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#getExecString()">getExecString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;return an array containing the command name & its parameters</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#getOutput()">getOutput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the output of the shell command.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#parseExecResult(java.io.BufferedReader)">parseExecResult</A></B>(java.io.BufferedReader&nbsp;lines)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the execution result</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/Shell.ShellCommandExecutor.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the commands of this instance.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.zookeeper.Shell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/Shell.html#execCommand(java.util.Map, java.lang.String...)">execCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#execCommand(java.util.Map, java.lang.String[], long)">execCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#execCommand(java.lang.String...)">execCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getExitCode()">getExitCode</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getGET_PERMISSION_COMMAND()">getGET_PERMISSION_COMMAND</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getGroupsCommand()">getGroupsCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getGroupsForUserCommand(java.lang.String)">getGroupsForUserCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getProcess()">getProcess</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#getUlimitMemoryCommand(int)">getUlimitMemoryCommand</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#isTimedOut()">isTimedOut</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#run()">run</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#setEnvironment(java.util.Map)">setEnvironment</A>, <A HREF="../../../org/apache/zookeeper/Shell.html#setWorkingDirectory(java.io.File)">setWorkingDirectory</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Shell.ShellCommandExecutor(java.lang.String[])"><!-- --></A><H3>
Shell.ShellCommandExecutor</H3>
<PRE>
public <B>Shell.ShellCommandExecutor</B>(java.lang.String[]&nbsp;execString)</PRE>
<DL>
</DL>
<HR>

<A NAME="Shell.ShellCommandExecutor(java.lang.String[], java.io.File)"><!-- --></A><H3>
Shell.ShellCommandExecutor</H3>
<PRE>
public <B>Shell.ShellCommandExecutor</B>(java.lang.String[]&nbsp;execString,
                                  java.io.File&nbsp;dir)</PRE>
<DL>
</DL>
<HR>

<A NAME="Shell.ShellCommandExecutor(java.lang.String[], java.io.File, java.util.Map)"><!-- --></A><H3>
Shell.ShellCommandExecutor</H3>
<PRE>
public <B>Shell.ShellCommandExecutor</B>(java.lang.String[]&nbsp;execString,
                                  java.io.File&nbsp;dir,
                                  java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;env)</PRE>
<DL>
</DL>
<HR>

<A NAME="Shell.ShellCommandExecutor(java.lang.String[], java.io.File, java.util.Map, long)"><!-- --></A><H3>
Shell.ShellCommandExecutor</H3>
<PRE>
public <B>Shell.ShellCommandExecutor</B>(java.lang.String[]&nbsp;execString,
                                  java.io.File&nbsp;dir,
                                  java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;env,
                                  long&nbsp;timeout)</PRE>
<DL>
<DD>Create a new instance of the ShellCommandExecutor to execute a command.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>execString</CODE> - The command to execute with arguments<DD><CODE>dir</CODE> - If not-null, specifies the directory which should be set
            as the current working directory for the command.
            If null, the current working directory is not modified.<DD><CODE>env</CODE> - If not-null, environment of the command will include the
            key-value pairs specified in the map. If null, the current
            environment is not modified.<DD><CODE>timeout</CODE> - Specifies the time in milliseconds, after which the
                command will be killed and the status marked as timedout.
                If 0, the command will not be timed out.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="execute()"><!-- --></A><H3>
execute</H3>
<PRE>
public void <B>execute</B>()
             throws java.io.IOException</PRE>
<DL>
<DD>Execute the shell command.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getExecString()"><!-- --></A><H3>
getExecString</H3>
<PRE>
protected java.lang.String[] <B>getExecString</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../org/apache/zookeeper/Shell.html#getExecString()">Shell</A></CODE></B></DD>
<DD>return an array containing the command name & its parameters
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/apache/zookeeper/Shell.html#getExecString()">getExecString</A></CODE> in class <CODE><A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="parseExecResult(java.io.BufferedReader)"><!-- --></A><H3>
parseExecResult</H3>
<PRE>
protected void <B>parseExecResult</B>(java.io.BufferedReader&nbsp;lines)
                        throws java.io.IOException</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../org/apache/zookeeper/Shell.html#parseExecResult(java.io.BufferedReader)">Shell</A></CODE></B></DD>
<DD>Parse the execution result
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/apache/zookeeper/Shell.html#parseExecResult(java.io.BufferedReader)">parseExecResult</A></CODE> in class <CODE><A HREF="../../../org/apache/zookeeper/Shell.html" title="class in org.apache.zookeeper">Shell</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getOutput()"><!-- --></A><H3>
getOutput</H3>
<PRE>
public java.lang.String <B>getOutput</B>()</PRE>
<DL>
<DD>Get the output of the shell command.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns the commands of this instance.
 Arguments with spaces in are presented with quotes round; other
 arguments are presented raw
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string representation of the object.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/Shell.ExitCodeException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/StatsTrack.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/Shell.ShellCommandExecutor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Shell.ShellCommandExecutor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.Shell">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.zookeeper.Shell">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
